Updates the user_skill_list object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
user_skill_list| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier | |
| user_id |
Foreign key to user |
globally unique identifier |
Optionally required : user_id, user_code or user must be provided |
| user_code |
Embedded entity "user" using ERP PK when adding/updating user_skill_list |
string |
Optionally required : user_id, user_code or user must be provided |
| user |
Embedded entity "user" using node when adding/updating user_skill_list |
user |
Optionally required : user_id, user_code or user must be provided |
| skill_id |
Foreign key to skill |
globally unique identifier |
Optionally required : skill_id, skill_code or skill must be provided |
| skill_code |
Embedded entity "skill" using ERP PK when adding/updating user_skill_list |
string |
Optionally required : skill_id, skill_code or skill must be provided |
| skill |
Embedded entity "skill" using node when adding/updating user_skill_list |
skill |
Optionally required : skill_id, skill_code or skill must be provided |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "85639425-29ec-4f02-9912-4cbae2d6e2ea",
"user_id": "c535ddd3-ed4e-4467-9f70-7d276b0503d0",
"user_code": "sample string 3",
"user": {
"id": "c57b45e0-5071-4dcb-8a7a-df5cda961c35",
"db_language_id": "c831c5f4-7c0a-4ce3-a60c-27bc4193861d",
"username": "sample string 3",
"firstname": "sample string 4",
"lastname": "sample string 5",
"code": "sample string 6",
"archived": true,
"disabled": true,
"emergency_contact": "sample string 9",
"bankaccount": "sample string 10",
"social_security": "sample string 11",
"place_of_birth": "sample string 12",
"nationality": "sample string 13",
"functions": "sample string 14",
"birthdate": "2026-11-20T08:20:13.8337979+00:00",
"skype": "sample string 16",
"notes": "sample string 17",
"sales_organization_id": "432b99e6-c137-44c5-bb33-f3b6b26b47b8",
"sales_organization": {
"id": "e9e52b65-4f56-4caa-86b0-87d7092b3785",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9c7064f6-c839-4ea4-b522-e007aa752d5b",
"db_currency_id": "6b685c2a-41cf-44b7-8ec1-90e1385a7be9",
"db_language_id": "16600a91-f82e-41fc-a967-443d1af3d06f",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-20T08:20:13.8337979+00:00"
},
"sales_organization_code": "sample string 19",
"is_team_leader": true,
"team_leader_user_id": "feb5fd54-ada6-4a33-9c2e-52d841f7efd2",
"email": "sample string 22",
"phone": "sample string 23",
"fax": "sample string 24",
"mobile": "sample string 25",
"private_email": "sample string 26",
"private_phone": "sample string 27",
"private_fax": "sample string 28",
"private_mobile": "sample string 29",
"private_street": "sample string 30",
"private_street_number": "sample string 31",
"private_city": "sample string 32",
"private_zip": "sample string 33",
"private_db_country_id": "5587bab8-47de-4342-985d-6997fc50268e",
"private_db_country_code": "sample string 35",
"modified_dateutc": "2026-11-20T08:20:13.8337979+00:00",
"allow_hero_app": true,
"allow_sales_app": true,
"allow_service_app": true,
"user_group_id": "d9061882-8bcc-425d-baad-a074e2100226"
},
"skill_id": "6959b0bb-63ff-49ab-969b-ba61456761f3",
"skill_code": "sample string 5",
"skill": {
"id": "7d345be8-3714-4a0f-a427-de00eda32a6e",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"sales_organization_id": "467d2853-fbad-4648-b324-4bc2434e5810",
"sales_organization_code": "sample string 6",
"sales_organization": {
"id": "e9e52b65-4f56-4caa-86b0-87d7092b3785",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "9c7064f6-c839-4ea4-b522-e007aa752d5b",
"db_currency_id": "6b685c2a-41cf-44b7-8ec1-90e1385a7be9",
"db_language_id": "16600a91-f82e-41fc-a967-443d1af3d06f",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-20T08:20:13.8337979+00:00"
},
"modified_dateutc": "2026-11-20T08:20:13.8509474+00:00"
},
"reference_back_office": "sample string 6",
"modified_dateutc": "2026-11-20T08:20:13.8509474+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.